Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.exception
Class AnalysisConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              kieker.analysis.exception.AnalysisConfigurationException

All Implemented Interfaces:
  Serializable

    public class AnalysisConfigurationException

extends Exception

An exception to show that something went wrong during the configuration of an analysis.

Since:
  1.5
Author:
  Jan Waller
See Also:
  Serialized Form

Constructor Summary
`AnalysisConfigurationException(String message)` Creates a new instance of this class using the given parameters.
`AnalysisConfigurationException(String message, Throwable cause)` Creates a new instance of this class using the given parameters.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnalysisConfigurationException

    public AnalysisConfigurationException(String message,
                                          Throwable cause)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `message` - The message of the exception.
    `cause` - The cause of the exception.

### AnalysisConfigurationException

    public AnalysisConfigurationException(String message)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `message` - The message of the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net